> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lightdash.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Start Deep Research run

> Start a durable Deep Research investigation.



## OpenAPI

````yaml https://raw.githubusercontent.com/lightdash/lightdash/refs/heads/main/packages/backend/src/generated/swagger.json post /api/v1/ee/projects/{projectUuid}/ai-deep-research
openapi: 3.0.0
info:
  title: Lightdash API
  version: 0.3374.1
  description: >
    Open API documentation for all public Lightdash API endpoints. #
    Authentication Before you get started, you might need to create a Personal
    Access Token to authenticate via the API. You can create a token by
    following this guide: https://docs.lightdash.com/references/personal_tokens
  license:
    name: MIT
  contact:
    name: Lightdash Support
    email: support@lightdash.com
    url: https://docs.lightdash.com/help-and-contact/contact/contact_info/
servers:
  - url: /
security: []
tags:
  - name: My Account
    description: These routes allow users to manage their own user account.
  - name: Organizations
    description: >-
      Each user is a member of a single organization. These routes allow users
      to manage their organization. Most actions are only available to admin
      users.
  - name: Projects
    description: >-
      Projects belong to a single organization. These routes allow users to
      manage their projects, browse content, and execute queries. Users inside
      an organization might have access to a project from an organization-level
      role or they might be granted access to a project directly.
  - name: Spaces
    description: >-
      Spaces allow you to organize charts and dashboards within a project. They
      also allow granular access to content by allowing you to create private
      spaces, which are only accessible to the creator and admins.
  - name: Roles & Permissions
    description: >-
      These routes allow users to manage roles and permissions for their
      organization.
    externalDocs:
      url: https://docs.lightdash.com/references/roles
  - name: Query
    description: >-
      These routes allow users to execute and manage queries against their data
      warehouse. This includes metric queries, SQL queries, and retrieving query
      results.
paths:
  /api/v1/ee/projects/{projectUuid}/ai-deep-research:
    post:
      summary: Start Deep Research run
      description: Start a durable Deep Research investigation.
      operationId: createAiDeepResearchRun
      parameters:
        - in: path
          name: projectUuid
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AiDeepResearchRequestBody'
      responses:
        '202':
          description: Accepted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiAiDeepResearchRunResponse'
        default:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorPayload'
      security: []
components:
  schemas:
    UUID:
      type: string
      format: uuid
      description: |-
        Stringified UUIDv4.
        See [RFC 4112](https://tools.ietf.org/html/rfc4122)
      pattern: >-
        [0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-4[0-9A-Fa-f]{3}-[89ABab][0-9A-Fa-f]{3}-[0-9A-Fa-f]{12}
    AiDeepResearchRequestBody:
      properties:
        effort:
          $ref: '#/components/schemas/AiDeepResearchEffort'
          description: Server-owned execution budget tier. Defaults to medium.
        prompt:
          type: string
      required:
        - prompt
      type: object
    ApiAiDeepResearchRunResponse:
      $ref: '#/components/schemas/ApiSuccess_AiDeepResearchRun_'
    ApiErrorPayload:
      properties:
        error:
          properties:
            data:
              $ref: '#/components/schemas/AnyType'
              description: Optional data containing details of the error
            message:
              type: string
              description: A friendly message summarising the error
            name:
              type: string
              description: Unique name for the type of error
            statusCode:
              type: number
              format: integer
              description: HTTP status code
          required:
            - name
            - statusCode
          type: object
        status:
          type: string
          enum:
            - error
          nullable: false
      required:
        - error
        - status
      type: object
      description: |-
        The Error object is returned from the api any time there is an error.
        The message contains
    AiDeepResearchEffort:
      type: string
      enum:
        - high
        - medium
        - low
        - xhigh
    ApiSuccess_AiDeepResearchRun_:
      properties:
        results:
          $ref: '#/components/schemas/AiDeepResearchRun'
        status:
          type: string
          enum:
            - ok
          nullable: false
      required:
        - results
        - status
      type: object
    AnyType:
      description: |-
        This AnyType is an alias for any
        The goal is to make it easier to identify any type in the codebase
        without having to eslint-disable all the time
        These are only used on legacy `any` types, don't use it for new types.
        This is added on a separate file to avoid circular dependencies.
    AiDeepResearchRun:
      properties:
        completedAt:
          type: string
          nullable: true
        startedAt:
          type: string
          nullable: true
        updatedAt:
          type: string
        createdAt:
          type: string
        cancellationRequestedAt:
          type: string
          nullable: true
        errorMessage:
          type: string
          nullable: true
        budget:
          $ref: '#/components/schemas/AiDeepResearchBudget'
        result:
          allOf:
            - $ref: '#/components/schemas/AiDeepResearchReport'
          nullable: true
        status:
          $ref: '#/components/schemas/AiDeepResearchRunStatus'
        projectUuid:
          type: string
        aiDeepResearchRunUuid:
          type: string
      required:
        - completedAt
        - startedAt
        - updatedAt
        - createdAt
        - cancellationRequestedAt
        - errorMessage
        - budget
        - result
        - status
        - projectUuid
        - aiDeepResearchRunUuid
      type: object
    AiDeepResearchBudget:
      properties:
        maxResultRows:
          type: number
          format: double
        maxWarehouseQueries:
          type: number
          format: double
        maxToolCalls:
          type: number
          format: double
        maxTokens:
          type: number
          format: double
        maxRuntimeMs:
          type: number
          format: double
      required:
        - maxResultRows
        - maxWarehouseQueries
        - maxToolCalls
        - maxTokens
        - maxRuntimeMs
      type: object
    AiDeepResearchReport:
      properties:
        nextSteps:
          items:
            type: string
          type: array
        unresolvedQuestions:
          items:
            type: string
          type: array
        scope:
          type: string
        caveats:
          items:
            type: string
          type: array
        findings:
          items:
            $ref: '#/components/schemas/AiDeepResearchFinding'
          type: array
        summary:
          type: string
      required:
        - nextSteps
        - unresolvedQuestions
        - scope
        - caveats
        - findings
        - summary
      type: object
    AiDeepResearchRunStatus:
      type: string
      enum:
        - queued
        - running
        - failed
        - completed
        - partially_completed
        - cancelled
    AiDeepResearchFinding:
      properties:
        evidence:
          items:
            $ref: '#/components/schemas/AiDeepResearchEvidence'
          type: array
        confidence:
          $ref: '#/components/schemas/AiDeepResearchConfidence'
        summary:
          type: string
        title:
          type: string
      required:
        - evidence
        - confidence
        - summary
        - title
      type: object
    AiDeepResearchEvidence:
      properties:
        sourceUrl:
          type: string
          nullable: true
        sourceLabel:
          type: string
        sourceType:
          type: string
          enum:
            - lightdash
            - warehouse
            - web
        description:
          type: string
        title:
          type: string
      required:
        - sourceUrl
        - sourceLabel
        - sourceType
        - description
        - title
      type: object
    AiDeepResearchConfidence:
      type: string
      enum:
        - low
        - medium
        - high

````